'League of Legends' Is Ending Support for Two Older Operating Systems

Riot Games announced that it’ll soon stop supporting League of Legends on certain operating systems that it said have become more difficult to provide a secure experience on.

Windows XP and Windows Vista are the two operating systems Riot Games said it’s ending support for, both of those operating systems being ones that Microsoft itself hasn’t had support for in years. The amount of players using these operating systems is small compared to the overall playerbase for League of Legends, so Riot Games is ending the support for the two operating systems in May 2019 after Patch 9.9 releases.

“Microsoft itself no longer supports Windows XP or Windows Vista with security updates,” Riot Games said in a post that pertained solely to those using the two outdated operating systems. “It's getting harder every day for us to maintain a secure League of Legends experience for the very small number of League players still using XP, requiring an disproportional investment from our engineering teams.”

0comments

Preemptively answering a question that players might have when hearing this news, Riot Games gave the stats for the number of players that’ll be affected. Less than 1 percent of players globally are still using Windows XP, Riot Games said, with even less than that using Windows Vista. The number of those using Windows XP has been “falling rapidly over the last few years,” according to Riot Gamess. The change isn’t scheduled to happen until next year, but when it does, Riot Games predicted that even fewer players will be using those operating systems.

Patch 9.9 will be the final update with support for those operating systems, that patch expected to roll out on April 30th next year. The following patch, Patch 9.10, releases two weeks afterwards and will no longer support Windows XP and Windows Vista. Anyone who’s still on those operating systems as the support end date draws nearer will be met with a notification within their client to tell them it’s time to upgrade to a more recent operating system that’s still being supported.